Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class ReplicaExchangeMC

[frames] | no frames]

# Class ReplicaExchangeMC

source code

         object --+
                  |
    AbstractSampler --+
                      |
             AbstractMC --+
                          |
         AbstractEnsembleMC --+
                              |
             AbstractExchangeMC --+
                                  |
                                 ReplicaExchangeMC

Replica Exchange (RE, Swendsen & Yang 1986) implementation.

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods
Inherited from `AbstractExchangeMC`: `__init__`, `swap` Inherited from `AbstractEnsembleMC`: `sample` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractExchangeMC`: `acceptance_rates`, `param_infos`, `statistics` Inherited from `AbstractEnsembleMC`: `energy` Inherited from `AbstractMC`: `state` Inherited from `object`: `__class__`